> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get player by source URL

> Gets player data related to a content item



## OpenAPI

````yaml get /projects/{project_id}/player/by_source_url/{url}
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/player/by_source_url/{url}:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
      - name: url
        in: path
        description: The source_url of your content item
        required: true
        schema:
          type: string
      - name: preview_token
        in: query
        description: The preview token of your content item
        schema:
          type: string
      - name: media_format
        in: query
        schema:
          type: string
          enum:
            - audio
            - video
        required: false
      - name: words
        in: query
        required: false
        schema:
          type: boolean
    get:
      tags:
        - Player
      summary: Show
      description: Gets player data related to a content item
      operationId: player#by_source_url
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/playerExample'
              schema:
                $ref: '#/components/schemas/playerModel'
components:
  examples:
    playerExample:
      summary: A player sample response
      value:
        language: en_US
        content:
          - id: 52acb1c0-9681-4138-9d74-1b7234f80922
            title: Content title
            source_id: example-source-id
            source_url: https://example.com/my-article
            author: John Smith
            image_url: https://example.com/image.jpeg
            audio:
              - id: 123
                content_type: audio/mpeg
                url: https://example.com/audio.mp3
                duration: 10000
            video:
              - id: 456
                content_type: video/mp4
                url: https://example.com/video.mp4
                duration: 10000
            segments:
              - marker: title-marker
                start_time: 3
                duration: 2997
              - marker: first-paragraph-marker
                start_time: 3000
                duration: 7000
            ads_enabled: true
        settings:
          player_style: standard
          player_title: My project
          call_to_action: Listen to this article
          image_url: https://example.com/image.jpeg
          theme: auto
          dark_theme:
            text_color: '#323232'
            background_color: '#FAFAFA'
            icon_color: '#323232'
          light_theme:
            text_color: '#323232'
            background_color: '#FAFAFA'
            icon_color: '#323232'
          video_theme:
            text_color: '#323232'
            background_color: '#FAFAFA'
            icon_color: '#323232'
          title_enabled: false
          image_enabled: false
          persistent_ad_image: false
          widget_style: standard
          widget_position: auto
          segment_playback_enabled: true
          segment_highlights_enabled: true
          skip_button_style: seconds-15-30
          intro_url: https://example.com/intro.mp3
          outro_url: https://example.com/outro.mp3
          intro_outro_enabled: false
          download_button_enabled: false
          logo_icon_enabled: true
          continuous_playback_mode: none
        video_settings:
          enabled: true
          logo_image_url: https://example.com/logo.png
          logo_image_position: top-right
          background_color: white
          text_transform: none
          text_background_color: rgba(255, 255, 255, 0.88)
          text_background_radius: 8
          text_color: black
          text_secondary_color: null
          text_highlight_color: '#0cf'
          text_highlight_secondary_color: null
          text_highlight_background_color: linear-gradient(to right, pink, purple)
          text_highlight_secondary_background_color: null
          text_highlight_background_radius: 8
          text_shadow: 3px 3px 3px linear-gradient(to right, red, blue)
          text_highlight_shadow: null
          text_stroke: 0px transparent outside
          text_highlight_stroke: null
          text_fonts:
            - https://example.com/my-custom-font.ttf
            - Inter-Medium.ttf
            - fallbacks
          text_font_size: 64
          text_width: 0.8
          text_lines: null
          text_words: null
          text_horizontal_align: start
          text_vertical_align: end
          text_horizontal_offset: 0
          text_vertical_offset: 0
          text_animation: karaoke
          entrance_animation: fade
          exit_animation: fade
          waveform_color: linear-gradient(to right, red, blue)
          content_image_enabled: true
          playback_mode: cycle
          cycle_time: 15000
        playlist:
          id: 555
          title: My playlist
          type: manual
          image_url: https://example.com/image.jpeg
          content_limit: 25
        ads:
          - id: 7
            type: custom
            placement: pre-roll
            vast_url: null
            title: Ad title
            click_through_url: https://example.com/click-through-url
            media_url: https://example.com/advert.mp3
            media:
              - id: 100
                content_type: audio/mpeg
                url: https://example.com/transcoded_advert.mp3
                duration: 15000
            theme: null
            dark_theme: null
            light_theme: null
  schemas:
    playerModel:
      type: object
      properties:
        language:
          type: string
          nullable: false
        content:
          type: array
          description: >-
            Content that has been filtered to published=true and
            status=processed. See the swagger schema for /v1/content for more
            information.
          items:
            type: object
            properties:
              id:
                type: string
              title:
                type: string
                nullable: true
              source_id:
                type: string
                nullable: true
              source_url:
                type: string
                nullable: true
                description: URL of the source content
                format: uri
              author:
                type: string
                nullable: true
              image_url:
                type: string
                nullable: true
                description: Feature image URL for the content
                format: uri
              audio:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    content_type:
                      type: string
                      enum:
                        - audio/mpeg
                        - application/x-mpegURL
                      description: MIME type of the audio (MP3 or HLS playlist)
                    url:
                      type: string
                      description: Direct URL to the audio file
                      format: uri
                    duration:
                      type: integer
                      description: Duration of the audio in milliseconds
              video:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    content_type:
                      type: string
                      enum:
                        - video/mp4
                        - application/x-mpegURL
                      description: MIME type of the video (MP4 or HLS playlist)
                    url:
                      type: string
                      description: Direct URL to the video file
                      format: uri
                    duration:
                      type: integer
                      description: Duration of the video in milliseconds
              segments:
                type: array
                items:
                  type: object
                  properties:
                    marker:
                      type: string
                      description: >-
                        Custom marker for segment identification and playback
                        control
                    start_time:
                      type: integer
                      nullable: true
                      description: Segment start time in milliseconds
                    duration:
                      type: integer
                      nullable: true
                      description: Segment duration in milliseconds
              ads_enabled:
                type: boolean
                description: When true, advertisements can play in the player
        settings:
          type: object
          description: >-
            Player settings for the project of the first content item. See the
            swagger schema for /v1/player_settings for more information.
          properties:
            enabled:
              type: boolean
            player_style:
              type: string
              enum:
                - small
                - standard
                - large
                - video
            player_title:
              type: string
            call_to_action:
              type: string
            image_url:
              type: string
              nullable: true
            theme:
              type: string
              enum:
                - auto
                - dark
                - light
            dark_theme:
              type: object
              properties:
                text_color:
                  type: string
                background_color:
                  type: string
                icon_color:
                  type: string
                highlight_color:
                  type: string
                word_highlight_color:
                  type: string
            light_theme:
              type: object
              properties:
                text_color:
                  type: string
                background_color:
                  type: string
                icon_color:
                  type: string
                highlight_color:
                  type: string
                word_highlight_color:
                  type: string
            video_theme:
              type: object
              properties:
                text_color:
                  type: string
                background_color:
                  type: string
                icon_color:
                  type: string
            title_enabled:
              type: boolean
            image_enabled:
              type: boolean
              deprecated: true
            widget_style:
              type: string
              enum:
                - none
                - small
                - standard
                - large
                - video
            widget_position:
              type: string
              enum:
                - auto
                - left
                - center
                - right
            segment_playback_enabled:
              type: boolean
            segment_highlights_enabled:
              type: boolean
            skip_button_style:
              type: string
            intro:
              type: string
              nullable: true
            outro:
              type: string
              nullable: true
            intro_outro_enabled:
              type: boolean
              deprecated: true
            download_button_enabled:
              type: boolean
            logo_icon_enabled:
              type: boolean
            analytics_enabled:
              type: boolean
            analytics_uuid_enabled:
              type: boolean
            analytics_url:
              type: string
            analytics_custom_url:
              type: string
              nullable: true
            analytics_id:
              type: integer
            analytics_tag_enabled:
              type: boolean
            analytics_tag:
              type: string
              nullable: true
            continuous_playback_mode:
              type: string
              enum:
                - none
                - recent
        video_settings:
          type: object
          description: >-
            Video settings for the project of the first content item. See the
            swagger schema for /v1/video_settings for more information.
          properties:
            enabled:
              type: boolean
            logo_image_url:
              type: string
              nullable: true
            logo_image_position:
              type: string
              enum:
                - top-left
                - top-right
            background_color:
              type: string
            text_transform:
              type: string
              enum:
                - none
                - uppercase
                - lowercase
                - titlecase
            text_background_color:
              type: string
            text_background_radius:
              type: number
              minimum: 0
              maximum: 100
            text_color:
              type: string
            text_secondary_color:
              type: string
              nullable: true
            text_highlight_color:
              type: string
              nullable: true
            text_highlight_secondary_color:
              type: string
              nullable: true
            text_highlight_background_color:
              type: string
            text_highlight_secondary_background_color:
              type: string
              nullable: true
            text_highlight_background_radius:
              type: number
              minimum: 0
              maximum: 100
            text_shadow:
              type: string
            text_highlight_shadow:
              type: string
              nullable: true
            text_stroke:
              type: string
            text_highlight_stroke:
              type: string
              nullable: true
            text_fonts:
              type: array
              items:
                type: string
            text_font_size:
              type: integer
            text_width:
              type: number
              minimum: 0
              maximum: 1
              description: Maximum width of text as a ratio of the frame width.
            text_lines:
              type: integer
              nullable: true
            text_words:
              type: integer
              nullable: true
            text_horizontal_align:
              type: string
              enum:
                - start
                - center
                - end
            text_vertical_align:
              type: string
              enum:
                - start
                - center
                - end
            text_horizontal_offset:
              type: number
            text_vertical_offset:
              type: number
            text_animation:
              type: string
              enum:
                - classic
                - reveal
                - karaoke
                - pop
            entrance_animation:
              type: string
              enum:
                - none
                - fade
                - zoom-in
                - zoom-out
                - slide-up
                - slide-down
                - slide-left
                - slide-right
                - pop
            exit_animation:
              type: string
              enum:
                - none
                - fade
                - zoom-in
                - zoom-out
                - slide-up
                - slide-down
                - slide-left
                - slide-right
                - pop
            waveform_color:
              type: string
            content_image_enabled:
              type: boolean
            playback_mode:
              type: string
              enum:
                - cycle
                - space-evenly
                - follow-article
            cycle_time:
              type: integer
        playlist:
          type: object
          nullable: true
          description: >-
            Playlist data, if applicable for the endpoint. Endpoint
            /v1/player/content/{id} returns null. Endpoint
            /v1/player/playlist/{id} returns data of the playlist. Endpoint
            /v1/player/playlist returns data of the first playlist (if any). See
            the swagger schema for /v1/playlist for more information.
          properties:
            id:
              type: integer
            title:
              type: string
            type:
              type: string
              enum:
                - project
                - manual
                - auto
            image_url:
              type: string
              nullable: true
            content_limit:
              type: integer
        ads:
          type: array
          description: >-
            Ads that have been filtered to enabled=true and time_range overlaps
            the current time. See the swagger schema for /v1/ads for more
            information.
          items:
            type: object
            properties:
              id:
                type: integer
              type:
                type: string
                enum:
                  - custom
                  - vast
              placement:
                type: string
                enum:
                  - pre-roll
                  - mid-roll
                  - post-roll
              vast_url:
                type: string
                nullable: true
              title:
                type: string
                nullable: true
              click_through_url:
                type: string
                nullable: true
              media_url:
                type: string
                nullable: true
              media:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    content_type:
                      type: string
                    url:
                      type: string
                    duration:
                      type: integer
              theme:
                type: string
                enum:
                  - auto
                  - dark
                  - light
                nullable: true
              dark_theme:
                type: object
                nullable: true
                properties:
                  text_color:
                    type: string
                  background_color:
                    type: string
                  icon_color:
                    type: string
                  highlight_color:
                    type: string
                  word_highlight_color:
                    type: string
              light_theme:
                type: object
                nullable: true
                properties:
                  text_color:
                    type: string
                  background_color:
                    type: string
                  icon_color:
                    type: string
                  highlight_color:
                    type: string
                  word_highlight_color:
                    type: string
              video_theme:
                type: object
                nullable: true
                properties:
                  text_color:
                    type: string
                  background_color:
                    type: string
                  icon_color:
                    type: string

````